import javax.swing.*;

/**
 * <b>Programm:</b> WaveGradient<br>
 * <b>Copyright:</b> 2002 Andreas Gohr, Frank Schubert, Milan Altenburg<br>
 * <b>License:</b> GPL2 or higher<br>
 * <br>
 * <b>Info:</b> holds Sliders for values of MonoWave
 */

/**
 * Sliders for wave values
 */
public class MonoWaveSlider {
  FloatJSlider jsAmplitude = null;
  FloatJSlider jsFrequency = null;
  FloatJSlider jsWavelength= null;
  FloatJSlider jsPhase     = null;
  
  /**
   * Constructor
   */
  public MonoWaveSlider() {
    jsAmplitude = new FloatJSlider();
    jsAmplitude.setName("Amplitude");
    jsFrequency = new FloatJSlider();
    jsFrequency.setName("Frequency");
    jsWavelength= new FloatJSlider();
    jsWavelength.setName("WaveLength");
    jsPhase     = new FloatJSlider();
    jsPhase.setName("Phase");
  }
  
  /**
   * returns Slider
   */
  public FloatJSlider getAmplitudeSlider() {
    return( jsAmplitude );
  }
    
  /**
   * returns Slider
   */
  public FloatJSlider getFrequencySlider() {
    return( jsFrequency );
  }
    
  /**
   * returns Slider
   */
  public FloatJSlider getWaveLengthSlider() {
    return( jsWavelength );
  }
    
  /**
   * returns Slider
   */
  public FloatJSlider getPhaseSlider() {
    return( jsPhase );
  }
  
}
