import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * <b>Programm:</b> WaveThread<br>
 * <b>Copyright:</b> 2002 Andreas Gohr, Frank Schubert, Milan Altenburg<br>
 * <b>License:</b> GPL2 or higher<br>
 * <br>
 * <b>Info:</b> Startwindow
 */
public class WaveThreadFrame extends JFrame{
  /**
   * constructor
   */
  public WaveThreadFrame(){
    setTitle("Wave");
    setSize(350,275);
    addWindowListener(new WindowCallback()); //close window on X
    getContentPane().add(new WaveThreadMain());
    setVisible(true);
  }
}  

/**
 * Callback class to exit application on windowclose
 */
class WindowCallback extends WindowAdapter {
  public void windowClosing(WindowEvent e){
    System.exit(0);
  }
}
